#! /usr/bin/rpm
%define  sovers         1
%define _unpackaged_files_terminate_build  0
 
# --------------------------------------------------------------------
Summary: 	Front-end electronics client library
Name: 		feeclient
Version: 	0.4
Release: 	4
License: 	GPL
Group: 		Development/Libraries
URL: 		http://cern.ch/cholm
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libdim-devel
BuildRequires:	doxygen


%description
Client for Front-end Electronics DIM server 

%files
%defattr(-,root,root)
%{_prefix}/bin/feeserver-ctrl
%{_prefix}/lib/libFeeClient.so.*

# --------------------------------------------------------------------
%package devel
Summary:	Front-end electronics client library
Group:		Development/System
Requires:	%{name}
%description devel
Front-end electronics client library

%files devel
%defattr(-,root,root)
%{_prefix}/include/feeclient
%{_prefix}/lib/libFeeClient.la
%{_prefix}/lib/libFeeClient.a
%{_prefix}/lib/libFeeClient.so
%{_prefix}/share/doc/%{name}-devel/html

# --------------------------------------------------------------------
%prep
%setup -q

%build
%configure  \
	--disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install 
mkdir -p ${RPM_BUILD_ROOT}/%{_prefix}/share/doc/%{name}-devel/html/
cp -a doc/html ${RPM_BUILD_ROOT}/%{_prefix}/share/doc/%{name}-devel

%clean
make clean
rm -rf $RPM_BUILD_ROOT

# --------------------------------------------------------------------
%changelog
* Mon Aug 14 2006 Christian Holm Christensen <cholm@nbi.dk>
- Try to remove 'xterm' output

* Mon Aug 14 2006 Christian Holm Christensen <cholm@nbi.dk>
- Try to remove 'xterm' output

* Tue May 23 2006 Forward Multiplicity Detector <fmd@dhcp61.dhcp.nbi.dk> 
- Initial build.


